[package]
name = "pdf-forge"
version = "0.1.0"
description = "A Tauri App"
authors = ["Kilian Schuettler"]
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
# The `_lib` suffix may seem redundant but it is necessary
# to make the lib name unique and wouldn't conflict with the bin name.
# This seems to be only an issue on Windows, see https://github.com/rust-lang/cargo/issues/8519
name = "pdf_forge_lib"
crate-type = ["staticlib", "cdylib", "rlib"]

[build-dependencies]
tauri-build = { version = "2", features = [] }

[dependencies]
tauri = { version = "2", features = [] }
tauri-plugin-opener = "2"
serde = { version = "1", features = ["derive"] }
serde_json = "1"
base64 = "0.21"
pdf = { path = "/home/kschuettler/rust/pdf-forge/src-pdfrs/pdf",  features = ["cache", "dump"],  default-features=false}
tauri-plugin-fs = "2"
tauri-plugin-dialog = "2"
uuid = { version = "1.12.0", features = ["v4"] }
regex = "1.10.3"
lazy_static = "1.4.0"

image = { version = "0.25.5", features = ["jpeg"] }
pdf_render = { path = "../../pdf-render/render" }
pathfinder_rasterize = { git = "https://github.com/s3bk/pathfinder_rasterizer" }
pathfinder_geometry = { git = "https://github.com/servo/pathfinder" }
indexmap = "1.9.3"
tauri-plugin-websocket = "2"
log = "0.4.25"
